Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java	(revision 368)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java	(revision 369)
@@ -64,7 +64,8 @@
 import org.txm.Toolbox;
 import org.txm.ca.core.functions.CA;
 import org.txm.cah.core.functions.CAH;
-import org.txm.concordances.functions.Concordance;
+import org.txm.concordance.core.functions.Concordance;
+import org.txm.concordance.rcp.editors.ConcordanceEditorInput;
 import org.txm.cooccurrence.core.functions.Cooccurrence;
 import org.txm.core.results.ITXMResult;
 import org.txm.core.results.TXMResult;
@@ -82,7 +83,6 @@
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.commands.base.DeleteObject;
 import org.txm.rcp.commands.editor.CustomizableEditor;
-import org.txm.rcp.editors.input.ConcordancesEditorInput;
 import org.txm.rcp.editors.input.InternalViewEditorInput;
 import org.txm.rcp.editors.input.ReferencerEditorInput;
 import org.txm.rcp.editors.internal.InternalViewEditor;
@@ -240,20 +240,20 @@
 						Log.severe(NLS.bind(Messages.CorporaView_2, ((Corpus)selectedItem).getName()));
 						StatusLine.setMessage(((Corpus)selectedItem).getName()+ " is not ready"); //$NON-NLS-1$
 					}
-				} else if (selectedItem instanceof Partition) {
-					StatusLine.setMessage(((Partition)selectedItem).getName() + ": "+((Partition)selectedItem).getNPart()); //$NON-NLS-1$
-				} else if (selectedItem instanceof Concordance) {
-					StatusLine.setMessage(((Concordance)selectedItem).getName());
-				} else if (selectedItem instanceof Cooccurrence) {
-					StatusLine.setMessage(((Cooccurrence)selectedItem).getName());
+//				} else if (selectedItem instanceof Partition) {
+//					StatusLine.setMessage(((Partition)selectedItem).getName() + ": "+((Partition)selectedItem).getNPart()); //$NON-NLS-1$
+//				} else if (selectedItem instanceof Concordance) {
+//					StatusLine.setMessage(((Concordance)selectedItem).getName());
+//				} else if (selectedItem instanceof Cooccurrence) {
+//					StatusLine.setMessage(((Cooccurrence)selectedItem).getName());
 //				} else if (selectedItem instanceof Index) {
 //					StatusLine.setMessage(((Index)selectedItem).getName());
-				} else if (selectedItem instanceof CA) {
-					StatusLine.setMessage(((CA)selectedItem).getName());
-				} else if (selectedItem instanceof CAH) {
-					StatusLine.setMessage(((CAH)selectedItem).getName());
-				} else if (selectedItem instanceof SpecificitesResult) {
-					StatusLine.setMessage(((SpecificitesResult)selectedItem).getName());
+//				} else if (selectedItem instanceof CA) {
+//					StatusLine.setMessage(((CA)selectedItem).getName());
+//				} else if (selectedItem instanceof CAH) {
+//					StatusLine.setMessage(((CAH)selectedItem).getName());
+//				} else if (selectedItem instanceof SpecificitesResult) {
+//					StatusLine.setMessage(((SpecificitesResult)selectedItem).getName());
 				} else if (selectedItem instanceof InternalView) {
 					StatusLine.setMessage(((InternalView)selectedItem).getDetails());
 					//				} else if (selectedItem instanceof QueryIndex) {
@@ -282,17 +282,17 @@
 					if (isAlreadyOpened(selectedItem))
 						return;
 					// System.out.println("Selected item "+selectedItem.getClass());
-					if (selectedItem instanceof Concordance) {
-						Concordance concordance = (Concordance) selectedItem;
-						IEditorInput editorInput = new ConcordancesEditorInput(
-								concordance.getCorpus(), concordance);
-						IWorkbenchPage page = getSite().getWorkbenchWindow().getActivePage();
-						try {
-							page.openEditor(editorInput,
-									"org.txm.rcp.editors.ConcordancesEditor"); //$NON-NLS-1$
-						} catch (PartInitException e) {
-							System.err.println(Messages.CorporaView_3+ e);
-						}
+//					if (selectedItem instanceof Concordance) {
+//						Concordance concordance = (Concordance) selectedItem;
+//						IEditorInput editorInput = new ConcordancesEditorInput(
+//								concordance.getCorpus(), concordance);
+//						IWorkbenchPage page = getSite().getWorkbenchWindow().getActivePage();
+//						try {
+//							page.openEditor(editorInput,
+//									"org.txm.rcp.editors.ConcordancesEditor"); //$NON-NLS-1$
+//						} catch (PartInitException e) {
+//							System.err.println(Messages.CorporaView_3+ e);
+//						}
 //				} else if (selectedItem instanceof Lexicon) {
 //					Lexicon lex = (Lexicon) selectedItem;
 //					final Index index = new Index(lex.getCorpus(), lex.getProperty());
@@ -330,7 +330,8 @@
 //					//						System.err.println(Messages.CorporaView_7+ e);
 //					//					}
 //
-				} else if (selectedItem instanceof Referencer) {
+				//} else
+					if (selectedItem instanceof Referencer) {
 
 					Referencer ref = (Referencer) selectedItem;
 					ReferencerEditorInput editorInput = new ReferencerEditorInput(ref.getCorpus(), ref);
